<?php
/**
 *
 * @package tracem
 * @author ThemesTrace
 * @link https://themeforest.net/user/themestrace
 * @version 1.0.0
 * @since 1.0.0
 */

CSF::createSection( $prefix, array(
    'id'    => 'tracem_typography_options',
    'title' => esc_html__( 'Typorgraphy', 'tracem' ),
    'icon'  => 'fas fa-font',
    'fields' => array(

        array(
            'id'                => 'tracem_body_default_font_family',
            'type'              => 'typography',
            'title'             => esc_html__( 'Body Font Family - Default', 'tracem' ),
            'default'           => array(
                'font-family'    => 'FuturaPTBook',
            ),
            'font_weight'       => false,
            'font_size'         => false,
            'line_height'       => false,
            'letter_spacing'    => false,
            'text_align'        => false,
            'text_transform'    => false,
            'color'             => false,
            // 'output_important'  => true,
            'output'            => [
                'body',
                'body p',
                '.section-intro h3',
                '.btn-generic a',
                '.portfolio-extra-info span',
                '.tracem-banner-one-area .swiper-pagination-bullet',
                '.tracem-centered-img-carousel .swiper-pagination-bullet',
                '.home-minimal h3',
                '.btn-simple',
                '.tracem-single-blog-post span',
                '.leave-comment span',
                '.widget_search form input[type="search"]',
                '.search-form .search-field',
                '.blog-post-share p',
                '#cancel-comment-reply-link',
                '.comment-form input:not([type="submit"])',
                '.comment-form textarea',
                '.footer-large h4',
                '.subscribe-area h4',
                'button',
                'input',
                'select',
                'textarea',
                'button',
                'button[disabled]:hover',
                'button[disabled]:focus',
                'input[type="button"]',
                'input[type="button"][disabled]:hover',
                'input[type="button"][disabled]:focus',
                'input[type="reset"]',
                'input[type="reset"][disabled]:hover',
                'input[type="reset"][disabled]:focus',
                'input[type="submit"]',
                'input[type="submit"][disabled]:hover',
                'input[type="submit"][disabled]:focus',
                '.post-password-form label',
                'input::placeholder',
                'textarea::placeholder'
            ]
        ),

        array(
            'id'        => 'tracem_body_extra_font_family',
            'type'      => 'typography',
            'title'     => esc_html__( 'Body Font Family - Extra', 'tracem' ),
            'default'   => array(
                'font-family'    => 'FuturaPTMedium',
            ),
            'font_weight'       => false,
            'font_size'         => false,
            'line_height'       => false,
            'letter_spacing'    => false,
            'text_align'        => false,
            'text_transform'    => false,
            'color'             => false,
            'output_important'  => true,
            'output'            => [
                'h1',
                'h2',
                'h3',
                'h4',
                'h5',
                'h6',
                '.home-minimal p.signature',
                '.home-link h2',
                '.single-project-counter .counter',
                '.contact-form input[type="text"]',
                '.contact-form input[type="email"]',
                '.contact-form textarea',
                '.counter-area span',
                '.widget_recent_comments ul li .comment-author-link',
                '.widget_rss .rsswidget',
                '.btn-fill',
                '.btn-fill:visited',
                '.btn-fill:active',
                '.chart-number span',
                '.tracem-progress span',
                '.progressbar-text',
                '.testimonial-one .single-testimonial p.testi-text',
                '.testimonial-two .single-testimonial p.testi-text',
                '.testimonial-three .single-testimonial p.testi-text',
                '.section-subscribe-area.subscribe-three .subscribe-text > p',
                '.section-subscribe-area.subscribe-area .subscribe-form form .mailpoet_submit',
                '.section-subscribe-area.subscribe-area .subscribe-form form input[type="email"]',
                '.footer-large form input[type="submit"]',
                '.subscribe-area form input[type="submit"]',
                '#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu li.mega-menu-column > ul.mega-sub-menu > li.mega-disable-link > a.mega-menu-link'
            ]
        ),

        array(
            'id'        => 'tracem_body_font_size',
            'type'      => 'number',
            'title'     => esc_html__( 'Body Font Size', 'tracem' ),
            'default'   => '18',
            'after'     => wp_kses_post( '<i class="cs-text-muted"> (px)</i>', 'tracem' ),
            'output'    => [
                'font-size' => 'body'
            ]
        ),

        array(
            'id'        => 'tracem_brand_color',
            'type'      => 'color',
            'title'     => esc_html__( 'Brand Color', 'tracem' ),
            'default'   => '#3a0088',
            'output'    => [
                ".tracem-breadcrumb li.active",
                ".tracem-breadcrumb li span.bread-current",
                ".trsubtitle",
                ".portfolio-sporadic .portfolio-details h4 a",
                ".portfolio-sporadic .portfolio-details h4 a:hover",
                ".simple-overlay .portfolio-details h4 a",
                ".simple-overlay .portfolio-details h4 a:hover",
                ".opacity .portfolio-details h4 a",
                ".opacity .portfolio-details h4 a:hover",
                ".boxed .portfolio-details h4 a",
                ".boxed .portfolio-details h4 a:hover",
                ".boxed-large .portfolio-details h4 a",
                ".boxed-large .portfolio-details h4 a:hover",
                ".default .portfolio-details h4 a",
                ".default .portfolio-details h4 a:hover",
                ".portfolio_category ul li a",
                ".tracem-single-portfolio .portfolio-cat a",
                ".widget ul li a:hover",
                ".widget_tag_cloud .tagcloud a:hover",
                ".blockquote-2 span",
                ".blockquote-two blockquote h5"
            ]
        ),

        array(
            'id'        => 'tracem_btn_opacity_color',
            'type'      => 'color',
            'title'     => esc_html__( 'Button Opacity Background', 'tracem' ),
            'default'   => 'rgba( 58, 0, 136, 0.3 )',
            'output'    => [
                'background'    => '.form-submit:before'
            ]
        ),

    )
) );